using System;

namespace pikado
{
    class Program
    {
        static void Main(string[] args)
        {
            int br = 0,i;
            var ulaz1 = Console.ReadLine().Split();
            int n = int.Parse(ulaz1[0]);
            int k = int.Parse(ulaz1[1]);
            int[] a = new int[n];
            for(i=0;i<n;i++)
            {
                a[i] = int.Parse(Console.ReadLine());
            }
            for(i=0;i<n;i++)
            {
                if (a[i] == a[i + 1])
                    br++;
            }
            Console.WriteLine(br);
            if(br!=0)
            {
                for(i=0;i<n;i++)
                {
                    if (a[i] == a[i + 1])
                    {
                        int m = i + 1;
                        Console.Write(i, m.ToString);
                        Console.Write(" ");
                    }
                }
            }

        }
    }
}